import { propsConvert } from "@/services/props-convert";

const prefix = "/main";

const mainRoutes = [
  {
    path: `${prefix}`,
    // redirect: `${prefix}/workbench`,
    redirect: `${prefix}/PersonalMgtView`,
    meta: { keepAlive: true, requiresAuth: true },
  },
  {
    path: `${prefix}`,
    component: () => import(/* webpackChunkName: "main" */ "@/views/main/MainView.vue"),
    props: propsConvert,
    children: [
      {
        path: `workbench`,
        component: () => import(/* webpackChunkName: "main" */ "@/views/workbench/WorkbenchView.vue"),
        props: propsConvert,
        meta: { keepAlive: false, requiresAuth: true },
      },
      {
        path: `CustomerMgtView`,
        component: () => import(/* webpackChunkName: "main" */ "@/views/customer-mgt/CustomerMgtView.vue"),
        props: propsConvert,
        meta: { keepAlive: false, requiresAuth: true },
      },
      {
        path: `PersonalMgtView`,
        component: () => import(/* webpackChunkName: "main" */ "@/views/customer-mgt/PersonalMgtView.vue"),
        props: propsConvert,
        meta: { keepAlive: false, requiresAuth: true },
      },
      {
        path: `marketing-mgt`,
        component: () => import(/* webpackChunkName: "main" */ "@/views/marketing-mgt/personal/MarketingMgtView.vue"),
        props: propsConvert,
        meta: { keepAlive: true, requiresAuth: true },
      },
      {
        path: "/ComMarketingPool",
        component: () => import(/* webpackChunkName: "main" */ "@/views/marketing-mgt/company/ComMarketingPool.vue"),
        props: propsConvert,
        meta: { keepAlive: false, requiresAuth: true },
      },
    ],
    meta: { requiresAuth: true, name: "应用首页", keepAlive: true },
  },
  {
    path: `${prefix}/self-stats`,
    component: () => import(/* webpackChunkName: "main" */ "@/views/main/PersonalStatsView.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "个人业务汇总", keepAlive: true },
  },
];
export default mainRoutes;
