import { propsConvert } from "@/services/props-convert";

const prefix = "/workbench";

const workbenchRoutes = [
  {
    path: `${prefix}/index`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/WorkbenchView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "工作台" },
  },
  //  个人
  {
    path: `${prefix}/commonly-used/personal/business-inquiry`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/BusinessInquiry.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "业务查询" },
  },
  //  对公
  {
    path: `${prefix}/commonly-used/company/business-inquiry`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/BusinessInquiry.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "业务查询" },
  },
  {
    path: `/OnlineEnquiry`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/OnlineEnquiry.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "网点查询" },
  },
  {
    path: `/AuxiliaryTools`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/AuxiliaryTools.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "辅助工具" },
  },
  {
    path: `/RepaymentTrialDetail`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/RepaymentTrialDetail.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "随意分详情" },
  },
  {
    path: `/LoanCalculationDetail`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/LoanCalculationDetail.vue"),
    props: propsConvert,
    meta: {requiresAuth: true, name: "贷款试算详情" },
  },
  {
    path: `${prefix}/commonly-used/company/customer-inquiry`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/CustomerInquiry.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "客户查询" },
  },
  {
    path: `/Customerinquiry`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/Customerinquiry.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "客户查询" },
  },
  {
    path: `/PersonSimplifyView`,
    name:'PersonSimplifyView',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/PersonSimplifyView.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户简版信息" },
  },
  {
    path: `/CustomCheck`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/CustomCheck.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户体检" },
  },
  {
    path: `/UpcomingTask`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/UpcomingTask.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "待办任务" },
  },
  //
  {
    path: `/SMEMarketingDetail`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/SME/SMEMarketingDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "中小营销详情" },
  },
  {
    path: `/TelMarketingDetail`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/TelMarketingDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "待办详情" },
  },
  // 对公待办任务
  {
    path: `/CompanyAgencyTask`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/CompanyAgencyTask.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "待办任务" },
  },
  {
    path: `/CommonFunctions`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/CommonFunctions.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "常用功能" },
  },
  {
    path: `/AddContactCheckView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/AddContactCheckView.vue"),
    props: propsConvert,
    meta: {requiresAuth: true, name: "贷后新增" },
  },
  {
    path: `/CollectionDetails`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/CollectionDetails.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "催收详情" },
  },
  {
    path: `/RiskWarningDetail`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/RiskWarningDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "风险预警处理" },
  },
  {
    path: `/LoanCheckDetailView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/LoanCheckDetailView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公贷后检查" },
  },
  {
    path: `/PostLoanDetailsView`,
    name: `PostLoanDetailsView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/PostLoanDetailsView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "个贷贷后检查详情" },
  },
  {
    path: `/NetPostLoanDetailsView`,
    name: `NetPostLoanDetailsView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/NetPostLoanDetailsView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "网贷贷后检查详情" },
  },
  {
    path: `/CollateralDetail`,
    name: `CollateralDetail`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/CollateralDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "抵质押物详情" },
  },
  {
    path: `${prefix}/commonly-used/personal/custom-check-info`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/CustomCheckInfo.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "个人客户风险检查" },
  },
  {
    path: `${prefix}/commonly-used/personal/post-note`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/PostNote.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "短信验证" },
  },
  {
    path: `${prefix}/schedule-reminder/add-reminder`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/schedule-reminder/AddReminder.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "新增提醒" },
  },
  {
    path: `${prefix}/MessageReminderView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/message-reminder/MessageReminderView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "消息提醒" },
  },
  {
    path: `${prefix}/schedule-reminder/more`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/schedule-reminder/More.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "日程提醒" },
  },
  {
    path: `/ProductsRecommended`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/products-recommended/ProductsRecommended.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "产品推介" },
  },
  {
    path: `/ProductDetails`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/products-recommended/loan-products/ProductDetails.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "产品详情" },
  },
  {
    path: `${prefix}/upcoming-tasks/risk-warning-handle/taskList-operate`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/risk-warning-handle/TaskListOperate.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "风险预警处理" },
  },
  {
    path: `${prefix}/upcoming-tasks/periodic-inspection/periodic-inspection-handle`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/periodic-inspection/PeriodicInspectionHandle.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "定期检查处理" },
  },
  {
    path: '/MarketingTask',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/MarketingTask.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "待办处理" },
  },
  //对公营销客户拜访
  {
    path: '/ComVisitMarkDetail',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/company/ComVisitMarkDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公营销客户拜访" },
  },
  //对公营销招商引资企业营销
  {
    path: '/ComAttractMarkDetail',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/company/ComAttractMarkDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公营销招商引资企业营销" },
  },
  //对公精准客户信息摸查任务创建
  {
    path: '/ComProjectMarkDetail',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/company/ComProjectMarkDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公精准客户信息摸查任务创建" },
  },
  //对公精准营销推进专项
  {
    path: '/ComPreMarkDetail',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/company/ComPreMarkDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公精准营销推进专项" },
  },
  {
    path: '/PerMarketingAdd',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/PerMarketingAdd.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "个人上门营销-新增" },
  },
  {
    path: '/TimeAxis',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/time-axis/TimeAxis.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "时光轴" },
  },
  {
    path: '/perTelMarkTimeAxis',
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/upcoming-tasks/marketing-task/time-axis/personal/perTelMarkTimeAxis.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "个人电话营销时光轴" },
  },
  // 面签新增
  {
    path: `/AddContractFaceSign`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/contract/AddContractFaceSign.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "新增面签" },
  },
  //面签流程
  {
    path: `/FaceSignView`,
    name: `FaceSignView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/contract/FaceSignView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "面签" },
  },
  //面签复核
  {
    path: `/FaceSignReviewView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/contract/FaceSignReviewView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "面签复核" },
  },
  //个人业务查询
  {
    path: `/GDBusinessQuery`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/personal/GDBusinessQuery.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "个人业务查询" },
  },
  //对公业务查询
  {
    path: `/DGBusinessQuery`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/DGBusinessQuery.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公业务查询" },
  },
  {
    path: `/ProcessView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/ProcessView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "流程列表详情" },
  },
  {
    path: `/HistoryView`,
    component: () => import(/* webpackChunkName: "workbench" */ "@/views/workbench/commonly-used/company/HistoryView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "流程历史查询" },
  },

];
export default workbenchRoutes;
